Commit 5cf9e792 authored by Jesse Norell's avatar Jesse Norell
Browse files

version check for loading compatibility functions

parent 9be73c12
Pipeline #10877 passed with stage
in 8 minutes and 13 seconds
......@@ -29,7 +29,9 @@ EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
error_reporting(E_ALL|E_STRICT);
require_once 'compatibility.inc.php';
if(version_compare(phpversion(), '7.0', '<')) {
require_once 'compatibility.inc.php';
}
$FILE = realpath('../install.php');
......
......@@ -28,7 +28,9 @@ NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
require_once 'compatibility.inc.php';
if(version_compare(phpversion(), '7.0', '<')) {
require_once 'compatibility.inc.php';
}
//* Enable gzip compression for the interface
ob_start('ob_gzhandler');
......
......@@ -27,7 +27,9 @@ NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
require_once 'compatibility.inc.php';
if(version_compare(phpversion(), '7.0', '<')) {
require_once 'compatibility.inc.php';
}
// Set timezone
if(isset($conf['timezone']) && $conf['timezone'] != '') { // note: !empty($conf['timezone']) should give the same result and is more idiomatic for current versions of PHP (gwyneth 20220315)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment